import click

from db.vm6.databases import isp_database
from db.vm6.models import AuthUser


@click.group(help='access command for lazy example')
def cli():
    pass


@cli.command(help='show all users and their roles on platform (DEMO EXAMPLE)')
def users():
    # check and init connection to db:
    isp_database.connect()
    # get all fields from auth_user table
    # SELECT * FROM auth_user;
    all_users = AuthUser.select()
    # Iterate fields and print to console users' email and role
    for user in all_users:
        result = f'{user.email} | {user.roles[0]}'
        click.echo(result)
    # Close connection
    isp_database.close()
